Bug 1412089 - Unneeded indirect dependency on Qt5
Summary: Unneeded indirect dependency on Qt5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenImageIO
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1414611 1487933
TreeView+ depends on / blocked
 
Reported: 2017-01-11 08:40 UTC by Sergey Kolosov
Modified: 2017-09-30 06:16 UTC (History)
7 users (show)

Fixed In Version: OpenImageIO-1.6.16-2.fc25 OpenImageIO-1.7.17-2.fc26 OpenImageIO-1.7.17-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1414611 (view as bug list)
Environment:
Last Closed: 2017-09-14 21:53:50 UTC
Type: Bug


Attachments (Terms of Use)
Backtrace (90.84 KB, text/plain)
2017-01-11 08:40 UTC, Sergey Kolosov
no flags Details
ldd-luxrender (13.49 KB, text/plain)
2017-01-18 03:27 UTC, Luya Tshimbalanga
no flags Details
Patch for rawhide (2.28 KB, patch)
2017-01-18 20:48 UTC, Yaakov Selkowitz
no flags Details | Diff
Patch for f25 (2.18 KB, patch)
2017-01-18 20:50 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Sergey Kolosov 2017-01-11 08:40:26 UTC
Created attachment 1239363 [details]
Backtrace

Description of problem: LuxRender is crashing on startup

Version: 1.6
Release: 4.f25

Steps to Reproduce:
Start LuxRener

Actual results:
LuxRender crashes

Expected results:
Normal 

Additional info:

[user@machine ~]$ luxrender 
*** Error in `luxrender': realloc(): invalid pointer: 0x00007f0852b140c0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x791fb)[0x7f084c5651fb]
/lib64/libc.so.6(realloc+0x3b0)[0x7f084c572840]
/lib64/libQt5Core.so.5(_ZN9QListData12realloc_growEi+0x31)[0x7f083f380c51]
/lib64/libQt5Core.so.5(_ZN9QListData6appendEi+0x4f)[0x7f083f380cef]
/lib64/libQt5Core.so.5(+0x1b32c0)[0x7f083f4382c0]
/lib64/libQt5Core.so.5(_Z21qRegisterResourceDataiPKhS0_S0_+0x275)[0x7f083f4340d5]
/lib64/libQt5Core.so.5(+0x7ecd3)[0x7f083f303cd3]
/lib64/ld-linux-x86-64.so.2(+0x10a3a)[0x7f0854c63a3a]
/lib64/ld-linux-x86-64.so.2(+0x10b4b)[0x7f0854c63b4b]
/lib64/ld-linux-x86-64.so.2(+0xd0a)[0x7f0854c53d0a]
======= Memory map: ========
00400000-0052f000 r-xp 00000000 fd:01 1753793                            /usr/bin/luxrender
0072f000-00734000 r--p 0012f000 fd:01 1753793                            /usr/bin/luxrender
00734000-00736000 rw-p 00134000 fd:01 1753793                            /usr/bin/luxrender
00b1e000-00ba2000 rw-p 00000000 00:00 0                                  [heap]
7f0810000000-7f0810021000 rw-p 00000000 00:00 0 
7f0810021000-7f0814000000 ---p 00000000 00:00 0 
7f0817a82000-7f0827a82000 rw-p 00000000 00:00 0 
7f0827a82000-7f0827a84000 r-xp 00000000 fd:01 1716724                    /usr/lib64/libfreebl3.so
7f0827a84000-7f0827c83000 ---p 00002000 fd:01 1716724                    /usr/lib64/libfreebl3.so
7f0827c83000-7f0827c84000 r--p 00001000 fd:01 1716724                    /usr/lib64/libfreebl3.so
7f0827c84000-7f0827c85000 rw-p 00002000 fd:01 1716724                    /usr/lib64/libfreebl3.so
7f0827c85000-7f0827c8c000 r-xp 00000000 fd:01 1753749                    /usr/lib64/libcrypt-nss-2.24.so
7f0827c8c000-7f0827e8b000 ---p 00007000 fd:01 1753749                    /usr/lib64/libcrypt-nss-2.24.so
7f0827e8b000-7f0827e8c000 r--p 00006000 fd:01 1753749                    /usr/lib64/libcrypt-nss-2.24.so
7f0827e8c000-7f0827e8d000 rw-p 00007000 fd:01 1753749                    /usr/lib64/libcrypt-nss-2.24.so
7f0827e8d000-7f0827ebb000 rw-p 00000000 00:00 0 
7f0827ebb000-7f0827fe6000 r-xp 00000000 fd:01 1709212                    /usr/lib64/libunistring.so.2.0.0
7f0827fe6000-7f08281e6000 ---p 0012b000 fd:01 1709212                    /usr/lib64/libunistring.so.2.0.0
7f08281e6000-7f08281e9000 r--p 0012b000 fd:01 1709212                    /usr/lib64/libunistring.so.2.0.0
7f08281e9000-7f08281ea000 rw-p 0012e000 fd:01 1709212                    /usr/lib64/libunistring.so.2.0.0
7f08281ea000-7f08281eb000 rw-p 00000000 00:00 0 
7f08281eb000-7f0828207000 r-xp 00000000 fd:01 1708753                    /usr/lib64/libsasl2.so.3.0.0
7f0828207000-7f0828406000 ---p 0001c000 fd:01 1708753                    /usr/lib64/libsasl2.so.3.0.0
7f0828406000-7f0828407000 r--p 0001b000 fd:01 1708753                    /usr/lib64/libsasl2.so.3.0.0
7f0828407000-7f0828408000 rw-p 0001c000 fd:01 1708753                    /usr/lib64/libsasl2.so.3.0.0
7f0828408000-7f0828fa2000 r-xp 00000000 fd:01 1753042                    /usr/lib64/atlas/libsatlas.so.3.10
7f0828fa2000-7f08291a1000 ---p 00b9a000 fd:01 1753042                    /usr/lib64/atlas/libsatlas.so.3.10
7f08291a1000-7f08291a7000 r--p 00b99000 fd:01 1753042                    /usr/lib64/atlas/libsatlas.so.3.10
7f08291a7000-7f08291af000 rw-p 00b9f000 fd:01 1753042                    /usr/lib64/atlas/libsatlas.so.3.10
7f08291af000-7f08291ee000 r-xp 00000000 fd:01 1752975                    /usr/lib64/libquadmath.so.0.0.0
7f08291ee000-7f08293ed000 ---p 0003f000 fd:01 1752975                    /usr/lib64/libquadmath.so.0.0.0
7f08293ed000-7f08293ee000 r--p 0003e000 fd:01 1752975                    /usr/lib64/libquadmath.so.0.0.0
7f08293ee000-7f08293ef000 rw-p 0003f000 fd:01 1752975                    /usr/lib64/libquadmath.so.0.0.0
7f08293ef000-7f0829fa1000 r-xp 00000000 fd:01 1753044                    /usr/lib64/atlas/libtatlas.so.3.10
7f0829fa1000-7f082a1a0000 ---p 00bb2000 fd:01 1753044                    /usr/lib64/atlas/libtatlas.so.3.10
7f082a1a0000-7f082a1a6000 r--p 00bb1000 fd:01 1753044                    /usr/lib64/atlas/libtatlas.so.3.10
7f082a1a6000-7f082a1ae000 rw-p 00bb7000 fd:01 1753044                    /usr/lib64/atlas/libtatlas.so.3.10
7f082a1ae000-7f082a204000 r-xp 00000000 fd:01 1754208                    /usr/lib64/libblas.so.3.6.1
7f082a204000-7f082a403000 ---p 00056000 fd:01 1754208                    /usr/lib64/libblas.so.3.6.1
7f082a403000-7f082a404000 r--p 00055000 fd:01 1754208                    /usr/lib64/libblas.so.3.6.1
7f082a404000-7f082a405000 rw-p 00056000 fd:01 1754208                    /usr/lib64/libblas.so.3.6.1
7f082a405000-7f082a533000 r-xp 00000000 fd:01 1752979                    /usr/lib64/libgfortran.so.3.0.0
7f082a533000-7f082a733000 ---p 0012e000 fd:01 1752979                    /usr/lib64/libgfortran.so.3.0.0
7f082a733000-7f082a734000 r--p 0012e000 fd:01 1752979                    /usr/lib64/libgfortran.so.3.0.0
7f082a734000-7f082a735000 rw-p 0012f000 fd:01 1752979                    /usr/lib64/libgfortran.so.3.0.0
7f082a735000-7f082a736000 rw-p 00000000 00:00 0 
7f082a736000-7f082a73c000 r-xp 00000000 fd:01 1712156                    /usr/lib64/libdatrie.so.1.3.2
7f082a73c000-7f082a93c000 ---p 00006000 fd:01 1712156                    /usr/lib64/libdatrie.so.1.3.2
7f082a93c000-7f082a93d000 r--p 00006000 fd:01 1712156                    /usr/lib64/libdatrie.so.1.3.2
7f082a93d000-7f082a93e000 rw-p 00000000 00:00 0 
7f082a93e000-7f082a98c000 r-xp 00000000 fd:01 1727074                    /usr/lib64/libldap-2.4.so.2.10.7
7f082a98c000-7f082ab8b000 ---p 0004e000 fd:01 1727074                    /usr/lib64/libldap-2.4.so.2.10.7
7f082ab8b000-7f082ab8e000 r--p 0004d000 fd:01 1727074                    /usr/lib64/libldap-2.4.so.2.10.7
7f082ab8e000-7f082ab8f000 rw-p 00050000 fd:01 1727074                    /usr/lib64/libldap-2.4.so.2.10.7
7f082ab8f000-7f082ab9d000 r-xp 00000000 fd:01 1727072                    /usr/lib64/liblber-2.4.so.2.10.7
7f082ab9d000-7f082ad9c000 ---p 0000e000 fd:01 1727072                    /usr/lib64/liblber-2.4.so.2.10.7
7f082ad9c000-7f082ad9d000 r--p 0000d000 fd:01 1727072                    /usr/lib64/liblber-2.4.so.2.10.7
7f082ad9d000-7f082ad9e000 rw-p 0000e000 fd:01 1727072                    /usr/lib64/liblber-2.4.so.2.10.7
7f082ad9e000-7f082adaa000 r-xp 00000000 fd:01 1752671                    /usr/lib64/libpsl.so.5.0.1
7f082adaa000-7f082afa9000 ---p 0000c000 fd:01 1752671                    /usr/lib64/libpsl.so.5.0.1
7f082afa9000-7f082afaa000 r--p 0000b000 fd:01 1752671                    /usr/lib64/libpsl.so.5.0.1
7f082afaa000-7f082afab000 rw-p 00000000 00:00 0 
7f082afab000-7f082afd6000 r-xp 00000000 fd:01 1714152                    /usr/lib64/libssh2.so.1.0.1
7f082afd6000-7f082b1d6000 ---p 0002b000 fd:01 1714152                    /usr/lib64/libssh2.so.1.0.1
7f082b1d6000-7f082b1d7000 r--p 0002b000 fd:01 1714152                    /usr/lib64/libssh2.so.1.0.1
7f082b1d7000-7f082b1d8000 rw-p 0002c000 fd:01 1714152                    /usr/lib64/libssh2.so.1.0.1
7f082b1d8000-7f082b20d000 r-xp 00000000 fd:01 1710967                    /usr/lib64/libidn2.so.0.0.11
7f082b20d000-7f082b40d000 ---p 00035000 fd:01 1710967                    /usr/lib64/libidn2.so.0.0.11
7f082b40d000-7f082b40e000 r--p 00035000 fd:01 1710967                    /usr/lib64/libidn2.so.0.0.11
7f082b40e000-7f082b40f000 rw-p 00036000 fd:01 1710967                    /usr/lib64/libidn2.so.0.0.11
7f082b40f000-7f082b432000 r-xp 00000000 fd:01 1710217                    /usr/lib64/libnghttp2.so.14.9.0
7f082b432000-7f082b631000 ---p 00023000 fd:01 1710217                    /usr/lib64/libnghttp2.so.14.9.0
7f082b631000-7f082b632000 r--p 00022000 fd:01 1710217                    /usr/lib64/libnghttp2.so.14.9.0
7f082b632000-7f082b634000 rw-p 00023000 fd:01 1710217                    /usr/lib64/libnghttp2.so.14.9.0
7f082b634000-7f082b688000 r-xp 00000000 fd:01 1727076                    /usr/lib64/libldap_r-2.4.so.2.10.7
7f082b688000-7f082b888000 ---p 00054000 fd:01 1727076                    /usr/lib64/libldap_r-2.4.so.2.10.7
7f082b888000-7f082b88b000 r--p 00054000 fd:01 1727076                    /usr/lib64/libldap_r-2.4.so.2.10.7
7f082b88b000-7f082b88c000 rw-p 00057000 fd:01 1727076                    /usr/lib64/libldap_r-2.4.so.2.10.7
7f082b88c000-7f082b88e000 rw-p 00000000 00:00 0 
7f082b88e000-7f082b8e4000 r-xp 00000000 fd:01 1742058                    /usr/lib64/libproj.so.9.1.0
7f082b8e4000-7f082bae3000 ---p 00056000 fd:01 1742058                    /usr/lib64/libproj.so.9.1.0
7f082bae3000-7f082bae4000 r--p 00055000 fd:01 1742058                    /usr/lib64/libproj.so.9.1.0
7f082bae4000-7f082bae7000 rw-p 00056000 fd:01 1742058                    /usr/lib64/libproj.so.9.1.0
7f082bae7000-7f082bb06000 r-xp 00000000 fd:01 1753002                    /usr/lib64/libhdf5_hl.so.10.1.0
7f082bb06000-7f082bd06000 ---p 0001f000 fd:01 1753002                    /usr/lib64/libhdf5_hl.so.10.1.0
7f082bd06000-7f082bd07000 r--p 0001f000 fd:01 1753002                    /usr/lib64/libhdf5_hl.so.10.1.0
7f082bd07000-7f082bd08000 rw-p 00020000 fd:01 1753002                    /usr/lib64/libhdf5_hl.so.10.1.0
7f082bd08000-7f082bd09000 rw-p 00000000 00:00 0 
7f082bd09000-7f082bd1f000 r-xp 00000000 fd:01 1749545                    /usr/lib64/libnsl-2.24.so
7f082bd1f000-7f082bf1e000 ---p 00016000 fd:01 1749545                    /usr/lib64/libnsl-2.24.so
7f082bf1e000-7f082bf1f000 r--p 00015000 fd:01 1749545                    /usr/lib64/libnsl-2.24.so
7f082bf1f000-7f082bf20000 rw-p 00016000 fd:01 1749545                    /usr/lib64/libnsl-2.24.so
7f082bf20000-7f082bf22000 rw-p 00000000 00:00 0 
7f082bf22000-7f082bf3d000 r-xp 00000000 fd:01 1759143                    /usr/lib64/libkmlconvenience.so.1.3.0
7f082bf3d000-7f082c13d000 ---p 0001b000 fd:01 1759143                    /usr/lib64/libkmlconvenience.so.1.3.0
7f082c13d000-7f082c13e000 r--p 0001b000 fd:01 1759143                    /usr/lib64/libkmlconvenience.so.1.3.0
7f082c13e000-7f082c13f000 rw-p 0001c000 fd:01 1759143                    /usr/lib64/libkmlconvenience.so.1.3.0
7f082c13f000-7f082c159000 r-xp 00000000 fd:01 1759135                    /usr/lib64/liburiparser.so.1.0.20
7f082c159000-7f082c358000 ---p 0001a000 fd:01 1759135                    /usr/lib64/liburiparser.so.1.0.20
7f082c358000-7f082c359000 r--p 00019000 fd:01 1759135                    /usr/lib64/liburiparser.so.1.0.20
7f082c359000-7f082c35a000 rw-p 00000000 00:00 0 
7f082c35a000-7f082c365000 r-xp 00000000 fd:01 1741610                    /usr/lib64/libminizip.so.1.0.0
7f082c365000-7f082c564000 ---p 0000b000 fd:01 1741610                    /usr/lib64/libminizip.so.1.0.0
7f082c564000-7f082c565000 r--p 0000a000 fd:01 1741610                    /usr/lib64/libminizip.so.1.0.0
7f082c565000-7f082c566000 rw-p 00000000 00:00 0 
7f082c566000-7f082c707000 r-xp 00000000 fd:01 1708456                    /usr/lib64/libgeos-3.5.0.so
7f082c707000-7f082c906000 ---p 001a1000 fd:01 1708456                    /usr/lib64/libgeos-3.5.0.so
7f082c906000-7f082c911000 r--p 001a0000 fd:01 1708456                    /usr/lib64/libgeos-3.5.0.so
7f082c911000-7f082c916000 rw-p 001ab000 fd:01 1708456                    /usr/lib64/libgeos-3.5.0.so
7f082c916000-7f082c951000 r-xp 00000000 fd:01 1712735                    /usr/lib64/libnspr4.so
7f082c951000-7f082cb50000 ---p 0003b000 fd:01 1712735                    /usr/lib64/libnspr4.so
7f082cb50000-7f082cb51000 r--p 0003a000 fd:01 1712735                    /usr/lib64/libnspr4.so
7f082cb51000-7f082cb53000 rw-p 0003b000 fd:01 1712735                    /usr/lib64/libnspr4.so
7f082cb53000-7f082cb55000 rw-p 00000000 00:00 0 
7f082cb55000-7f082cb59000 r-xp 00000000 fd:01 1750821                    /usr/lib64/libplc4.so
7f082cb59000-7f082cd58000 ---p 00004000 fd:01 1750821                    /usr/lib64/libplc4.so
7f082cd58000-7f082cd59000 r--p 00003000 fd:01 1750821                    /usr/lib64/libplc4.so
7f082cd59000-7f082cd5a000 rw-p 00004000 fd:01 1750821                    /usr/lib64/libplc4.so
7f082cd5a000-7f082cd5d000 r-xp 00000000 fd:01 1751778                    /usr/lib64/libplds4.so
7f082cd5d000-7f082cf5c000 ---p 00003000 fd:01 1751778                    /usr/lib64/libplds4.so
7f082cf5c000-7f082cf5d000 r--p 00002000 fd:01 1751778                    /usr/lib64/libplds4.so
7f082cf5d000-7f082cf5e000 rw-p 00003000 fd:01 1751778                    /usr/lib64/libplds4.so
7f082cf5e000-7f082cf85000 r-xp 00000000 fd:01 1741681                    /usr/lib64/libnssutil3.so
7f082cf85000-7f082d184000 ---p 00027000 fd:01 1741681                    /usr/lib64/libnssutil3.so
7f082d184000-7f082d18b000 r--p 00026000 fd:01 1741681                    /usr/lib64/libnssutil3.so
7f082d18b000-7f082d18c000 rw-p 0002d000 fd:01 1741681                    /usr/lib64/libnssutil3.so
7f082d18c000-7f082d2ad000 r-xp 00000000 fd:01 1726898                    /usr/lib64/libnss3.so
7f082d2ad000-7f082d4ac000 ---p 00121000 fd:01 1726898                    /usr/lib64/libnss3.so
7f082d4ac000-7f082d4b1000 r--p 00120000 fd:01 1726898                    /usr/lib64/libnss3.so
7f082d4b1000-7f082d4b3000 rw-p 00125000 fd:01 1726898                    /usr/lib64/libnss3.so
7f082d4b3000-7f082d4b5000 rw-p 00000000 00:00 0 
7f082d4b5000-7f082d4d9000 r-xp 00000000 fd:01 1753625                    /usr/lib64/libsmime3.so
7f082d4d9000-7f082d6d8000 ---p 00024000 fd:01 1753625                    /usr/lib64/libsmime3.so
7f082d6d8000-7f082d6db000 r--p 00023000 fd:01 1753625                    /usr/lib64/libsmime3.so
7f082d6db000-7f082d6dc000 rw-p 00026000 fd:01 1753625                    /usr/lib64/libsmime3.so
7f082d6dc000-7f082d722000 r-xp 00000000 fd:01 1753626                    /usr/lib64/libssl3.so
7f082d722000-7f082d922000 ---p 00046000 fd:01 1753626                    /usr/lib64/libssl3.so
7f082d922000-7f082d926000 r--p 00046000 fd:01 1753626                    /usr/lib64/libssl3.so
7f082d926000-7f082d927000 rw-p 0004a000 fd:01 1753626                    /usr/lib64/libssl3.so
7f082d927000-7f082d928000 rw-p 00000000 00:00 0 
7f082d928000-7f082d99d000 r-xp 00000000 fd:01 1752803                    /usr/lib64/libsuperlu.so.5.1
7f082d99d000-7f082db9c000 ---p 00075000 fd:01 1752803                    /usr/lib64/libsuperlu.so.5.1
7f082db9c000-7f082db9d000 r--p 00074000 fd:01 1752803                    /usr/lib64/libsuperlu.so.5.1
7f082db9d000-7f082db9e000 rw-p 00075000 fd:01 1752803                    /usr/lib64/libsuperlu.so.5.1
7f082db9e000-7f082dbe8000 r-xp 00000000 fd:01 1754200                    /usr/lib64/libarpack.so.2.0.0
7f082dbe8000-7f082dde8000 ---p 0004a000 fd:01 1754200                    /usr/lib64/libarpack.so.2.0.0
7f082dde8000-7f082dde9000 r--p 0004a000 fd:01 1754200                    /usr/lib64/libarpack.so.2.0.0
7f082dde9000-7f082ddea000 rw-p 0004b000 fd:01 1754200                    /usr/lib64/libarpack.so.2.0.0
7f082ddea000-7f082e3e6000 r-xp 00000000 fd:01 1754547                    /usr/lib64/liblapack.so.3.6.1
7f082e3e6000-7f082e5e5000 ---p 005fc000 fd:01 1754547                    /usr/lib64/liblapack.so.3.6.1
7f082e5e5000-7f082e5e6000 r--p 005fb000 fd:01 1754547                    /usr/lib64/liblapack.so.3.6.1
7f082e5e6000-7f082e5e9000 rw-p 005fc000 fd:01 1754547                    /usr/lib64/liblapack.so.3.6.1
7f082e5e9000-7f08306b1000 r-xp 00000000 fd:01 1739320                    /usr/lib64/libopenblaso-r0.2.19.so
7f08306b1000-7f08308b1000 ---p 020c8000 fd:01 1739320                    /usr/lib64/libopenblaso-r0.2.19.so
7f08308b1000-7f08308b7000 r--p 020c8000 fd:01 1739320                    /usr/lib64/libopenblaso-r0.2.19.so
7f08308b7000-7f08308d0000 rw-p 020ce000 fd:01 1739320                    /usr/lib64/libopenblaso-r0.2.19.so
7f08308d0000-7f08308ea000 rw-p 00000000 00:00 0 
7f08308ea000-7f08308fc000 r-xp 00000000 fd:01 1708586                    /usr/lib64/libgpg-error.so.0.19.1
7f08308fc000-7f0830afc000 ---p 00012000 fd:01 1708586                    /usr/lib64/libgpg-error.so.0.19.1
7f0830afc000-7f0830afd000 r--p 00012000 fd:01 1708586                    /usr/lib64/libgpg-error.so.0.19.1
7f0830afd000-7f0830afe000 rw-p 00013000 fd:01 1708586                    /usr/lib64/libgpg-error.so.0.19.1
7f0830afe000-7f0830bda000 r-xp 00000000 fd:01 1708535                    /usr/lib64/libgcrypt.so.20.0.6
7f0830bda000-7f0830dda000 ---p 000dc000 fd:01 1708535                    /usr/lib64/libgcrypt.so.20.0.6
7f0830dda000-7f0830ddb000 r--p 000dc000 fd:01 1708535                    /usr/lib64/libgcrypt.so.20.0.6
7f0830ddb000-7f0830de3000 rw-p 000dd000 fd:01 1708535                    /usr/lib64/libgcrypt.so.20.0.6
7f0830de3000-7f0830de4000 rw-p 00000000 00:00 0 
7f0830de4000-7f0830df7000 r-xp 00000000 fd:01 1729042                    /usr/lib64/liblz4.so.1.7.5
7f0830df7000-7f0830ff6000 ---p 00013000 fd:01 1729042                    /usr/lib64/liblz4.so.1.7.5
7f0830ff6000-7f0830ff7000 r--p 00012000 fd:01 1729042                    /usr/lib64/liblz4.so.1.7.5
7f0830ff7000-7f0830ff8000 rw-p 00000000 00:00 0 
7f0830ff8000-7f0830ffc000 r-xp 00000000 fd:01 1708863                    /usr/lib64/libcap.so.2.25
7f0830ffc000-7f08311fb000 ---p 00004000 fd:01 1708863                    /usr/lib64/libcap.so.2.25
7f08311fb000-7f08311fc000 r--p 00003000 fd:01 1708863                    /usr/lib64/libcap.so.2.25
7f08311fc000-7f08311fd000 rw-p 00004000 fd:01 1708863                    /usr/lib64/libcap.so.2.25
7f08311fd000-7f0831226000 r-xp 00000000 fd:01 1710020                    /usr/lib64/libgraphite2.so.3.0.1
7f0831226000-7f0831426000 ---p 00029000 fd:01 1710020                    /usr/lib64/libgraphite2.so.3.0.1
7f0831426000-7f0831428000 r--p 00029000 fd:01 1710020                    /usr/lib64/libgraphite2.so.3.0.1
7f0831428000-7f0831429000 rw-p 00000000 00:00 0 
7f0831429000-7f0831431000 r-xp 00000000 fd:01 1712158                    /usr/lib64/libthai.so.0.3.0
7f0831431000-7f0831631000 ---p 00008000 fd:01 1712158                    /usr/lib64/libthai.so.0.3.0
7f0831631000-7f0831632000 r--p 00008000 fd:01 1712158                    /usr/lib64/libthai.so.0.3.0
7f0831632000-7f0831633000 rw-p 00009000 fd:01 1712158                    /usr/lib64/libthai.so.0.3.0
7f0831633000-7f08316ab000 r-xp 00000000 fd:01 1709132                    /usr/lib64/liborc-0.4.so.0.25.0
7f08316ab000-7f08318aa000 ---p 00078000 fd:01 1709132                    /usr/lib64/liborc-0.4.so.0.25.0
7f08318aa000-7f08318ac000 r--p 00077000 fd:01 1709132                    /usr/lib64/liborc-0.4.so.0.25.0
7f08318ac000-7f08318b0000 rw-p 00079000 fd:01 1709132                    /usr/lib64/liborc-0.4.so.0.25.0
7f08318b0000-7f0831bd3000 r-xp 00000000 fd:01 131951                     /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f0831bd3000-7f0831dd3000 ---p 00323000 fd:01 131951                     /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f0831dd3000-7f0831ddb000 r--p 00323000 fd:01 131951                     /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f0831ddb000-7f0831e4e000 rw-p 0032b000 fd:01 131951                     /usr/lib64/mysql/libmysqlclient.so.18.0.0
7f0831e4e000-7f0831e58000 rw-p 00000000 00:00 0 
7f0831e58000-7f0831fb4000 r-xp 00000000 fd:01 1708668                    /usr/lib64/libxml2.so.2.9.3
7f0831fb4000-7f08321b4000 ---p 0015c000 fd:01 1708668                    /usr/lib64/libxml2.so.2.9.3
7f08321b4000-7f08321bc000 r--p 0015c000 fd:01 1708668                    /usr/lib64/libxml2.so.2.9.3
7f08321bc000-7f08321be000 rw-p 00164000 fd:01 1708668                    /usr/lib64/libxml2.so.2.9.3
7f08321be000-7f08321bf000 rw-p 00000000 00:00 0 
7f08321bf000-7f0832239000 r-xp 00000000 fd:01 1710968                    /usr/lib64/libcurl.so.4.4.0
7f0832239000-7f0832439000 ---p 0007a000 fd:01 1710968                    /usr/lib64/libcurl.so.4.4.0
7f0832439000-7f083243c000 r--p 0007a000 fd:01 1710968                    /usr/lib64/libcurl.so.4.4.0
7f083243c000-7f083243d000 rw-p 0007d000 fd:01 1710968                    /usr/lib64/libcurl.so.4.4.0
7f083243d000-7f083250f000 r-xp 00000000 fd:01 1708509                    /usr/lib64/libsqlite3.so.0.8.6
7f083250f000-7f083270e000 ---p 000d2000 fd:01 1708509                    /usr/lib64/libsqlite3.so.0.8.6
7f083270e000-7f0832711000 r--p 000d1000 fd:01 1708509                    /usr/lib64/libsqlite3.so.0.8.6
7f0832711000-7f0832713000 rw-p 000d4000 fd:01 1708509                    /usr/lib64/libsqlite3.so.0.8.6
7f0832713000-7f0832714000 rw-p 00000000 00:00 0 
7f0832714000-7f0832c92000 r-xp 00000000 fd:01 1754159                    /usr/lib64/libspatialite.so.7.1.0
7f0832c92000-7f0832e91000 ---p 0057e000 fd:01 1754159                    /usr/lib64/libspatialite.so.7.1.0
7f0832e91000-7f0832e94000 r--p 0057d000 fd:01 1754159                    /usr/lib64/libspatialite.so.7.1.0
7f0832e94000-7f0832e96000 rw-p 00580000 fd:01 1754159                    /usr/lib64/libspatialite.so.7.1.0
7f0832e96000-7f0832e97000 rw-p 00000000 00:00 0 
7f0832e97000-7f083301e000 r-xp 00000000 fd:01 1759017                    /usr/lib64/libdap.so.21.1.0
7f083301e000-7f083321e000 ---p 00187000 fd:01 1759017                    /usr/lib64/libdap.so.21.1.0
7f083321e000-7f0833227000 r--p 00187000 fd:01 1759017                    /usr/lib64/libdap.so.21.1.0
7f0833227000-7f0833228000 rw-p 00190000 fd:01 1759017                    /usr/lib64/libdap.so.21.1.0
7f0833228000-7f0833229000 rw-p 00000000 00:00 0 
7f0833229000-7f0833237000 r-xp 00000000 fd:01 1759021                    /usr/lib64/libdapserver.so.7.6.3
7f0833237000-7f0833437000 ---p 0000e000 fd:01 1759021                    /usr/lib64/libdapserver.so.7.6.3
7f0833437000-7f0833438000 r--p 0000e000 fd:01 1759021                    /usr/lib64/libdapserver.so.7.6.3
7f0833438000-7f0833439000 rw-p 0000f000 fd:01 1759021                    /usr/lib64/libdapserver.so.7.6.3
7f0833439000-7f0833481000 r-xp 00000000 fd:01 1759019                    /usr/lib64/libdapclient.so.6.1.3
7f0833481000-7f0833681000 ---p 00048000 fd:01 1759019                    /usr/lib64/libdapclient.so.6.1.3
7f0833681000-7f0833683000 r--p 00048000 fd:01 1759019                    /usr/lib64/libdapclient.so.6.1.3
7f0833683000-7f0833684000 rw-p 0004a000 fd:01 1759019                    /usr/lib64/libdapclient.so.6.1.3
7f0833684000-7f08336a9000 r-xp 00000000 fd:01 1708665                    /usr/lib64/liblzma.so.5.2.2
7f08336a9000-7f08338a8000 ---p 00025000 fd:01 1708665                    /usr/lib64/liblzma.so.5.2.2
7f08338a8000-7f08338a9000 r--p 00024000 fd:01 1708665                    /usr/lib64/liblzma.so.5.2.2Aborted (core dumped)
[user@machine ~]$

Comment 1 Luya Tshimbalanga 2017-01-14 20:42:25 UTC
I confirm the bug. It is odd luxrender tried to use qt5. I posted the issue to upstream and see what they can find
http://www.luxrender.net/forum/viewtopic.php?f=21&t=13248

Comment 2 Luya Tshimbalanga 2017-01-18 03:27:21 UTC
Created attachment 1242023 [details]
ldd-luxrender

With help from upstream, it seems something is wrong with qt configuration within Fedora thus beyond my skills. I include ldd luxrender result showing the correct association with qt4.

Comment 3 Mamoru TASAKA 2017-01-18 06:46:01 UTC
$ env LANG=en_US.utf8 yum-deprecated remove qt5-qtbase
Resolving Dependencies
--> Running transaction check
---> Package qt5-qtbase.x86_64 0:5.7.1-10.fc25 will be erased
--> Processing Dependency: libQt5Core.so.5()(64bit) for package: opencv-core-3.1.0-8.fc25.x86_64
--> Processing Dependency: libQt5Core.so.5(Qt_5)(64bit) for package: opencv-core-3.1.0-8.fc25.x86_64
......

--> Running transaction check
---> Package opencv-core.x86_64 0:3.1.0-8.fc25 will be erased
--> Processing Dependency: libopencv_core.so.3.1()(64bit) for package: OpenImageIO-1.6.16-1.fc25.x86_64
--> Processing Dependency: libopencv_highgui.so.3.1()(64bit) for package: OpenImageIO-1.6.16-1.fc25.x86_64
--> Processing Dependency: libopencv_videoio.so.3.1()(64bit) for package: OpenImageIO-1.6.16-1.fc25.x86_64


--> Running transaction check
---> Package OpenImageIO.x86_64 0:1.6.16-1.fc25 will be erased
--> Processing Dependency: libOpenImageIO.so.1.6()(64bit) for package: LuxRender-lib-1.6-4.fc25.x86_64
--> Processing Dependency: libOpenImageIO.so.1.6()(64bit) for package: LuxRender-core-1.6-4.fc25.x86_64
--> Processing Dependency: libOpenImageIO.so.1.6()(64bit) for package: LuxRender-1.6-4.fc25.x86_64

--> Running transaction check
---> Package LuxRender.x86_64 0:1.6-4.fc25 will be erased
---> Package LuxRender-core.x86_64 0:1.6-4.fc25 will be erased
---> Package LuxRender-lib.x86_64 0:1.6-4.fc25 will be erased

Comment 4 Mamoru TASAKA 2017-01-18 07:46:09 UTC
Maybe the easiest way is to ask OpenImageIO maintainer to create another library without using opencv, put such library into some non-standard directory, and make LuxRender use such OpenImageIO library??

Comment 5 Yaakov Selkowitz 2017-01-18 09:01:42 UTC
(In reply to Mamoru TASAKA from comment #4)
> Maybe the easiest way is to ask OpenImageIO maintainer to create another
> library without using opencv, put such library into some non-standard
> directory, and make LuxRender use such OpenImageIO library??

Actually, it appears that the libOpenImageIO.so.1.6 -> libopencv_highgui.so.3.1 may not be strictly necessary; the OpenCV APIs used by OpenImageIO were in the highgui library prior to 3.0, but are now in the videoio library (which does not depend on Qt).  Dropping that DT_NEEDED would clean up this issue without losing functionality.

I started working on some patches for OpenImageIO to do that, but I need to go AFK for a few hours.

Comment 6 Yaakov Selkowitz 2017-01-18 20:48:40 UTC
Created attachment 1242278 [details]
Patch for rawhide

Scratch build in progress:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17324238

Comment 7 Yaakov Selkowitz 2017-01-18 20:50:25 UTC
Created attachment 1242279 [details]
Patch for f25

Scratch build in progress:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17324214

Comment 8 Luya Tshimbalanga 2017-01-18 22:45:18 UTC
Using the scratch build package, here is the result
$ luxrender
Illegal instruction (core dumped)

It looks like LuxRender will be a rebuild against the updated OpenImageIO.

Comment 9 Yaakov Selkowitz 2017-01-18 23:56:24 UTC
(In reply to Luya Tshimbalanga from comment #8)
> Using the scratch build package, here is the result
> $ luxrender
> Illegal instruction (core dumped)
> 
> It looks like LuxRender will be a rebuild against the updated OpenImageIO.

Probably not; that could be anything.  Could you install LuxRender-debuginfo and debug it?

Comment 10 Luya Tshimbalanga 2017-01-19 00:58:24 UTC
Intial resulting debug on luxrender

[New Thread 0x7fffc4756700 (LWP 2831)]

Thread 1 "luxrender" received signal SIGILL, Illegal instruction.
0x00007ffff494cda8 in _GLOBAL__sub_I_bvh_intersector_stream_filters.cpp.avx2.cpp(void) ()
    at /usr/src/debug/embree-2.13.0/kernels/bvh/bvh_intersector_stream_filters.cpp:431
431	};

Need to look further

Comment 11 Yaakov Selkowitz 2017-01-19 02:11:41 UTC
Let's handle the embree SIGILL in bug 1414611.

Comment 12 Mamoru TASAKA 2017-01-19 03:48:26 UTC
(In reply to Yaakov Selkowitz from comment #7)
> Created attachment 1242279 [details]
> Patch for f25
> 
> Scratch build in progress:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=17324214

Works on my F-25 x86_64 box, now luxrender launches.

Comment 13 Mamoru TASAKA 2017-01-19 07:07:21 UTC
Looking at the status of bug 1414611 , I think comment 6 and comment 7 can be pushed into repository, thoughts?

Comment 14 Yaakov Selkowitz 2017-01-19 07:58:31 UTC
(In reply to Mamoru TASAKA from comment #12)
> (In reply to Yaakov Selkowitz from comment #7)
> > Created attachment 1242279 [details]
> > Patch for f25
> > 
> > Scratch build in progress:
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=17324214
> 
> Works on my F-25 x86_64 box, now luxrender launches.

Out of curiosity, with or without the workaround for bug 1414611?  If without, does your CPU support AVX or AVX2?

Comment 15 Mamoru TASAKA 2017-01-19 08:32:43 UTC
(In reply to Yaakov Selkowitz from comment #14)
> (In reply to Mamoru TASAKA from comment #12)
> > (In reply to Yaakov Selkowitz from comment #7)
> > > Created attachment 1242279 [details]
> > > Patch for f25
> > > 
> > > Scratch build in progress:
> > > https://koji.fedoraproject.org/koji/taskinfo?taskID=17324214
> > 
> > Works on my F-25 x86_64 box, now luxrender launches.
> 
> Out of curiosity, with or without the workaround for bug 1414611?  If
> without, does your CPU support AVX or AVX2?

Without the workaround for bug 1414611. And my CPU (at the office) seems to support AVX but not AVX2:

model name	: Intel(R) Core(TM) i7-4790 CPU @ 3.60GHz
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx rdtscp lm constant_tsc rep_good nopl xtopology nonstop_tsc eagerfpu pni pclmulqdq ssse3 cx16 sse4_1 sse4_2 movbe popcnt aes xsave avx rdrand hypervisor lahf_lm abm

... but currently I am testing on Vitualbox, if it is related.

Comment 16 Sergey Kolosov 2017-01-19 09:04:08 UTC
(In reply to Mamoru TASAKA from comment #12)
> (In reply to Yaakov Selkowitz from comment #7)
> > Created attachment 1242279 [details]
> > Patch for f25
> > 
> > Scratch build in progress:
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=17324214
> 
> Works on my F-25 x86_64 box, now luxrender launches.

It works for me too f25 x86_64 box, CPU with avx2 support(i7-6820HQ)

Comment 17 Luya Tshimbalanga 2017-01-19 18:48:56 UTC
Interesting,it seems this particular bug affects non-Intel CPU which produces that error as seen via Gnome Boxes

model name      : AMD Opteron 63xx class CPU
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx pdpe1gb lm rep_good nopl extd_apicid eagerfpu pni pclmulqdq ssse3 fma cx16 sse4_1 sse4_2 x2apic popcnt aes xsave avx f16c hypervisor lahf_lm cmp_legacy abm sse4a misalignsse 3dnowprefetch xop fma4 tbm vmmcall arat

Comment 18 Mamoru TASAKA 2017-01-24 05:14:25 UTC
Yaakov, would you push your fix into repository (Fedora git) and push updates requests on bodhi?

Comment 19 Yaakov Selkowitz 2017-01-24 06:58:45 UTC
Richard, any objection to the patches?

Comment 20 Richard Shaw 2017-01-24 14:33:23 UTC
I'll follow up with upstream but LGTM...

Comment 21 Luya Tshimbalanga 2017-01-29 19:44:12 UTC
embree issues is solved on https://bugzilla.redhat.com/show_bug.cgi?id=1414611
Awaiting for the fix.

Comment 22 Richard Shaw 2017-02-19 15:19:23 UTC
Should have rolled this in to the F26 rebuild FTBFS but oh well...

Including these patches as part of updating to 1.7.11 on Rawhide, will work on F25 next.

Comment 23 Fedora Update System 2017-02-21 02:25:00 UTC
OpenImageIO-1.6.16-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-566a0fe0e4

Comment 24 Fedora Update System 2017-02-22 21:07:43 UTC
OpenImageIO-1.6.16-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-566a0fe0e4

Comment 25 Fedora Update System 2017-03-02 01:20:19 UTC
OpenImageIO-1.6.16-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Luya Tshimbalanga 2017-09-03 21:33:35 UTC
Reopening because it looks like this bug managed to get ressurected.
https://bugzilla.redhat.com/show_bug.cgi?id=1487933

Comment 27 Richard Shaw 2017-09-03 22:30:21 UTC
WHoops, I may have dropped the ball on upstreaming the patch... Working on it now.

Comment 28 Fedora Update System 2017-09-04 16:32:02 UTC
OpenImageIO-1.7.17-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8da6827d7

Comment 29 Fedora Update System 2017-09-04 16:32:14 UTC
OpenImageIO-1.7.17-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ece634f7b

Comment 30 Fedora Update System 2017-09-06 22:28:12 UTC
OpenImageIO-1.7.17-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8da6827d7

Comment 31 Fedora Update System 2017-09-07 14:29:32 UTC
OpenImageIO-1.7.17-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ece634f7b

Comment 32 Fedora Update System 2017-09-14 21:53:50 UTC
OpenImageIO-1.7.17-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-09-30 06:16:10 UTC
OpenImageIO-1.7.17-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.